org.jbpm.kie.services.impl.model

## Class UserTaskInstanceWithPotOwnerDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.UserTaskInstanceDesc
  - - org.jbpm.kie.services.impl.model.UserTaskInstanceWithPotOwnerDesc

- All Implemented Interfaces:
    Serializable, UserTaskInstanceDesc, UserTaskInstanceWithPotOwnerDesc

      public class UserTaskInstanceWithPotOwnerDesc
      extends UserTaskInstanceDesc
      implements UserTaskInstanceWithPotOwnerDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTaskInstanceWithPotOwnerDesc(Long taskId, String name, String formName, String subject, String actualOwner, String potOwner, String correlationKey, Date createdOn, String createdBy, Date expirationDate, Date lastModificationDate, String lastModificationUser, Integer priority, String status, Long processInstanceId, String processId, String deploymentId, String processInstanceDescription)`
    `UserTaskInstanceWithPotOwnerDesc(String actualOwner, String createdBy, Date createdOn, Date expirationDate, Long taskId, String name, Integer priority, Long processInstanceId, String processId, String status, String potOwner, String formName, String correlationKey, String subject, String deploymentId, String processInstanceDescription)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInputdata(String variable, Object variableValue)`
    `void` | `addOutputdata(String variable, Object variableValue)`
    `void` | `addPotOwner(String potOwners)`
    `String` | `getCorrelationKey()`
    `Map<String,Object>` | `getInputdata()`
    `Date` | `getLastModificationDate()`
    `String` | `getLastModificationUser()`
    `Map<String,Object>` | `getOutputdata()`
    `List<String>` | `getPotentialOwners()`
    `String` | `getProcessInstanceDescription()`
    `String` | `getSubject()`
    `void` | `setCorrelationKey(String correlationKey)`
    `void` | `setInputdata(Map<String,Object> inputdata)`
    `void` | `setLastModificationDate(Date lastModificationDate)`
    `void` | `setLastModificationUser(String lastModificationUser)`
    `void` | `setOutputdata(Map<String,Object> outputdata)`
    `void` | `setPotentialOwners(List<String> potOwners)`
    `void` | `setProcessInstanceDescription(String processInstanceDescription)`
    `void` | `setSubject(String subject)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getSlaCompliance, getSlaDueDate, getStatus, getTaskId, getWorkItemId, setDescription, setDueDate, setFormName, setName, setPriority, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getSlaCompliance, getSlaDueDate, getStatus, getTaskId, getWorkItemId`

- - ### Constructor Detail

    - #### UserTaskInstanceWithPotOwnerDesc

          public UserTaskInstanceWithPotOwnerDesc(Long taskId,
                                                  String name,
                                                  String formName,
                                                  String subject,
                                                  String actualOwner,
                                                  String potOwner,
                                                  String correlationKey,
                                                  Date createdOn,
                                                  String createdBy,
                                                  Date expirationDate,
                                                  Date lastModificationDate,
                                                  String lastModificationUser,
                                                  Integer priority,
                                                  String status,
                                                  Long processInstanceId,
                                                  String processId,
                                                  String deploymentId,
                                                  String processInstanceDescription)

    - #### UserTaskInstanceWithPotOwnerDesc

          public UserTaskInstanceWithPotOwnerDesc(String actualOwner,
                                                  String createdBy,
                                                  Date createdOn,
                                                  Date expirationDate,
                                                  Long taskId,
                                                  String name,
                                                  Integer priority,
                                                  Long processInstanceId,
                                                  String processId,
                                                  String status,
                                                  String potOwner,
                                                  String formName,
                                                  String correlationKey,
                                                  String subject,
                                                  String deploymentId,
                                                  String processInstanceDescription)

  - ### Method Detail

    - #### getPotentialOwners

          public List<String> getPotentialOwners()

      Specified by:
        `getPotentialOwners` in interface `UserTaskInstanceWithPotOwnerDesc`

    - #### getCorrelationKey

          public String getCorrelationKey()

      Specified by:
        `getCorrelationKey` in interface `UserTaskInstanceWithPotOwnerDesc`

    - #### getLastModificationDate

          public Date getLastModificationDate()

      Specified by:
        `getLastModificationDate` in interface `UserTaskInstanceWithPotOwnerDesc`

    - #### getSubject

          public String getSubject()

      Specified by:
        `getSubject` in interface `UserTaskInstanceWithPotOwnerDesc`

    - #### getLastModificationUser

          public String getLastModificationUser()

      Specified by:
        `getLastModificationUser` in interface `UserTaskInstanceWithPotOwnerDesc`

    - #### setPotentialOwners

          public void setPotentialOwners(List<String> potOwners)

    - #### addPotOwner

          public void addPotOwner(String potOwners)

    - #### setCorrelationKey

          public void setCorrelationKey(String correlationKey)

    - #### setLastModificationDate

          public void setLastModificationDate(Date lastModificationDate)

    - #### setSubject

          public void setSubject(String subject)

    - #### setLastModificationUser

          public void setLastModificationUser(String lastModificationUser)

    - #### getInputdata

          public Map<String,Object> getInputdata()

      Specified by:
        `getInputdata` in interface `UserTaskInstanceWithPotOwnerDesc`

    - #### setInputdata

          public void setInputdata(Map<String,Object> inputdata)

    - #### getOutputdata

          public Map<String,Object> getOutputdata()

      Specified by:
        `getOutputdata` in interface `UserTaskInstanceWithPotOwnerDesc`

    - #### setOutputdata

          public void setOutputdata(Map<String,Object> outputdata)

    - #### addInputdata

          public void addInputdata(String variable,
                                   Object variableValue)

    - #### addOutputdata

          public void addOutputdata(String variable,
                                    Object variableValue)

    - #### getProcessInstanceDescription

          public String getProcessInstanceDescription()

      Specified by:
        `getProcessInstanceDescription` in interface `UserTaskInstanceWithPotOwnerDesc`

    - #### setProcessInstanceDescription

          public void setProcessInstanceDescription(String processInstanceDescription)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.